Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Principal.h File Reference

`#include "CORBA_methods.h"`
`#include "OctetSeqC.h"`
`#include "Pseudo_VarOut_T.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Atomic_Op.h"`
`#include "tao/Principal.i"`

Include dependency graph for Principal.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | CORBA::Principal
| A "Principal" identifies an authenticated entity in the network administration framework. More...
## Typedefs
typedef TAO_Pseudo_Var_T< Principal > | Principal_var
typedef TAO_Pseudo_Out_T< Principal, Principal_var > | Principal_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, CORBA::Principal *)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Principal *&)

## Detailed Description

Id
  Principal.h,v 1.26 2005/11/02 11:03:26 ossama Exp

The CORBA::Principal pseudo-object implementation.

Author:
  Copyright 1994-1995 by Sun Microsystems Inc.

  DOC group at Wash U and UCI.

## Typedef Documentation

typedef TAO_Pseudo_Out_T<Principal, Principal_var> CORBA::Principal_out

typedef TAO_Pseudo_Var_T<Principal> CORBA::Principal_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | CORBA::Principal * |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Principal *& |
| ) |